IOSS 2.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ObjScopeGuardImpl0< Obj, MemFun > Class Template Reference

`#include <Ioss_ScopeGuard.h>`

Inheritance diagram for ObjScopeGuardImpl0< Obj, MemFun >:
[legend]
Collaboration diagram for ObjScopeGuardImpl0< Obj, MemFun >:
[legend]

## Public Member Functions
| ~ObjScopeGuardImpl0 ()
void | Execute ()
Public Member Functions inherited from ScopeGuardImplBase
| ScopeGuardImplBase ()
void | Dismiss () const

## Static Public Member Functions
static ObjScopeGuardImpl0< Obj, MemFun > | MakeObjGuard (Obj &obj, MemFun memFun)

## Protected Member Functions
| ObjScopeGuardImpl0 (Obj &obj, MemFun memFun)
Protected Member Functions inherited from ScopeGuardImplBase
| ~ScopeGuardImplBase ()=default
| ScopeGuardImplBase (const ScopeGuardImplBase &other)

## Protected Attributes
Obj & | obj_
MemFun | memFun_
Protected Attributes inherited from ScopeGuardImplBase
bool | dismissed_

## Additional Inherited Members
Static Protected Member Functions inherited from ScopeGuardImplBase
template<typename J >
static void | SafeExecute (J &j)

## Constructor & Destructor Documentation

## ◆ ~ObjScopeGuardImpl0()

template<class Obj , typename MemFun >

ObjScopeGuardImpl0< Obj, MemFun >::~ObjScopeGuardImpl0 | ( |  | ) |
| inline

## ◆ ObjScopeGuardImpl0()

template<class Obj , typename MemFun >

ObjScopeGuardImpl0< Obj, MemFun >::ObjScopeGuardImpl0 | ( | Obj & | obj,
|  | MemFun | memFun
| ) |  |
| inlineprotected

## Member Function Documentation

## ◆ Execute()

template<class Obj , typename MemFun >

void ObjScopeGuardImpl0< Obj, MemFun >::Execute | ( |  | ) |
| inline

## ◆ MakeObjGuard()

template<class Obj , typename MemFun >

static ObjScopeGuardImpl0<Obj, MemFun> ObjScopeGuardImpl0< Obj, MemFun >::MakeObjGuard | ( | Obj & | obj,
|  | MemFun | memFun
| ) |  |
| inlinestatic

## Member Data Documentation

## ◆ memFun_

template<class Obj , typename MemFun >

MemFun ObjScopeGuardImpl0< Obj, MemFun >::memFun_
| protected

## ◆ obj_

template<class Obj , typename MemFun >

Obj& ObjScopeGuardImpl0< Obj, MemFun >::obj_
| protected

The documentation for this class was generated from the following file:

- src/Ioss_ScopeGuard.h